// Program ERCK_2WD_OsnovneKretnje
// Eduardo robotska kolica ERCK_2WD izvode osnovne krenje
// Potrebne komponente Eduardo kompleta: EMB, ERS, ERCK_2WD  

// Pinovi za brzinu i smer motora
#define LEVI_MOTOR_SMER    7
#define DESNI_MOTOR_SMER   8
#define LEVI_MOTOR_BRZINA  9
#define DESNI_MOTOR_BRZINA 10
// Pin za LED indikator
#define LED_INDIKATOR      13

// Brzine kolica pri osnovom kretanju
// PROMENITI BRZINU PRAVO AKO KOLICA IDU SPORO ILI BRZO
// PROMENITI BRZINU ZAOKRETA ILI ROTACIJE AKO KOLICA PREBRZO ILI PRESPORO ZAOKRECU
#define BRZINA_PRAVO       150      
#define BRZINA_ZAOKRETA    50   
#define BRZINA_ROTACIJE    150 

void setup()
{
  // Podesiti signale za upravljanje motorima kao izlaze
  pinMode(LED_INDIKATOR, OUTPUT);             
  pinMode(LEVI_MOTOR_BRZINA, OUTPUT);
  pinMode(DESNI_MOTOR_BRZINA, OUTPUT);
  pinMode(LEVI_MOTOR_SMER, OUTPUT);
  pinMode(DESNI_MOTOR_SMER, OUTPUT);
    
  delay(3000);                        // sacekati 3 sekunde
}

void loop() 
{    
  // Drive NEXT 1 second
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_PRAVO);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_PRAVO);
  delay(1000);                                        
  
  // Stop and stand 3 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);   
  
    // Drive REVERSE 1 second
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, LOW);
  digitalWrite(DESNI_MOTOR_SMER, LOW);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_PRAVO);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_PRAVO);
  delay(1000);    
  
  // Stop and stand 3 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);
  
  // ROTATE LEFT 2 seconds
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, LOW);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  delay(2000);  

  // Stop and stand 3 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);
  
  // ROTATE RIGHT 2 seconds
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, LOW);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  delay(2000);  
  
    // Stop and stand 3 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);
  
    // VOZITI LEVO 4 sekunde
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_PRAVO - BRZINA_ZAOKRETA);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_PRAVO + BRZINA_ZAOKRETA);
  delay(4000);  

  // Zaustaviti se i stajati 3 sekunde
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);
  
  // VOZITI DESNO 4 sekunde
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_PRAVO + BRZINA_ZAOKRETA);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_PRAVO - BRZINA_ZAOKRETA);
  delay(4000);  
  
    // Zaustaviti se i stajati 3 sekunde
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(3000);  
}

