// Program ERCK_2WD_OsnovneKretnje
// Eduardo robotska kolica ERCK_2WD izvode osnovne krenje
// Potrebne komponente Eduardo kompleta: EMB, ERS, ERCK_2WD  

// Pins for speed and direction of the motor
#define LEVI_MOTOR_SMER    7
#define DESNI_MOTOR_SMER   8
#define LEVI_MOTOR_BRZINA  9
#define DESNI_MOTOR_BRZINA 10
// Pin za LED indikator
#define LED_INDIKATOR      13

// Speeds carts at the base movement
// EDIT SPEED LAW IF CAR GO SLOW OR FAST
// EDIT rate of turn or rotation AKO TROLLEY fast or slow pivots
#define BRZINA_PRAVO       150 // Speed Right     
#define BRZINA_ZAOKRETA    50 // Rate of Turn   
#define BRZINA_ROTACIJE    150 // Speed Rotation

void setup()
{
  // Podesiti signale za upravljanje motorima kao izlaze
  pinMode(LED_INDIKATOR, OUTPUT);             
  pinMode(LEVI_MOTOR_BRZINA, OUTPUT);
  pinMode(DESNI_MOTOR_BRZINA, OUTPUT);
  pinMode(LEVI_MOTOR_SMER, OUTPUT);
  pinMode(DESNI_MOTOR_SMER, OUTPUT);
    
  delay(3000);                        // sacekati 3 sekunde
}

void loop() 
{    
  // Drive Forward 1 second
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_PRAVO);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_PRAVO);
  delay(1000);                                        
  
  // Stop and stand 1 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(1000);   
  
  // ROTATE LEFT 1 seconds
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, LOW);
  digitalWrite(DESNI_MOTOR_SMER, HIGH);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  delay(1000);  

  // Stop and stand 1 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(1000);
  
  // ROTATE RIGHT 1 seconds
  digitalWrite(LED_INDIKATOR, HIGH);  // Upaliti LED indikator
  digitalWrite(LEVI_MOTOR_SMER, HIGH);
  digitalWrite(DESNI_MOTOR_SMER, LOW);
  analogWrite(LEVI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  analogWrite(DESNI_MOTOR_BRZINA, BRZINA_ROTACIJE);
  delay(1000);  
  
    // Stop and stand 1 seconds
  digitalWrite(LED_INDIKATOR, LOW);  // Ugasiti LED indikator
  analogWrite(LEVI_MOTOR_BRZINA, 0);
  analogWrite(DESNI_MOTOR_BRZINA, 0);
  delay(1000);
  
}

