#ifndef TURTLEDRIVER_H
#define TURTLEDRIVER_H

class TurtleDriver
 { public:
      TurtleDriver(int IN1, int IN2, int IN3, int IN4, int ENA, int ENB);
      void setup() const;

      int setWheelSpeed(float leftSpeed, float rightSpeed);
      void testDrive();

   private:
      void updateWheels() const;

   private:
      const int rightWheelPin1; // connected to IN1 on L298
      const int rightWheelPin2; // connected to IN2 on L298
      const int leftWheelPin1; // connected to IN3 on L298
      const int leftWheelPin2; // connected to IN4 on L298
      const int rightWheelSpeedPin; // connected to ENA on L298 (must be PWM capable pin)
      const int leftWheelSpeedPin; // connected to ENB on L298 (must be PWM capable pin)

   private:
      float leftWheelSpeed;
      float rightWheelSpeed;
 };

#endif //TURTLEDRIVER_H